Bug 190591 - Abiword crashes on saving on x86_64
Abiword crashes on saving on x86_64
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-03 15:28 EDT by Toshio Kuratomi
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 20:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of abiword at the time of the crash (1.19 MB, application/octet-stream)
2006-05-03 15:28 EDT, Toshio Kuratomi
no flags Details
Output of valgrind --num-callers=16 /usr/bin/AbiWord-2.4 (39.28 KB, application/octet-stream)
2006-05-03 16:44 EDT, Toshio Kuratomi
no flags Details

  None (edit)
Description Toshio Kuratomi 2006-05-03 15:28:27 EDT
Description of problem:
Abiword on my x86_64 machine is unusable.  It crashes for a great number of
seemingly unrelated things.  This report details one action I know will reliably
crash.

I can open abiword, Type in a short sntence of text, then Click File::Save in
the menu.  I get a segfault.  There are no warnings at the console.

Version-Release number of selected component (if applicable):
abiword-2.4.4-2.fc5

How reproducible:
Always.

Steps to Reproduce:
1. Open abiword
2. Type "This is a test."
3. File::Save
  
Actual results:
Abiword SegFaults

Expected results:
AbiWord would popup the gnome file chooser to save the app.

Additional info:
This does not crash an i386 machine I have tested it on.

Backtrace in gdb::
#0  0x0000003dba074160 in strlen () from /lib64/libc.so.6
#1  0x00000035cf33f9e3 in g_strdup () from /usr/lib64/libglib-2.0.so.0
#2  0x00000035cf52e858 in g_value_dup_string ()
   from /usr/lib64/libgobject-2.0.so.0
#3  0x00000035cf5103b6 in g_object_new_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#4  0x00000035cf5105b1 in g_object_new () from /usr/lib64/libgobject-2.0.so.0
#5  0x00000035d0369535 in gtk_button_new_from_stock ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#6  0x00000035d03aee3f in gtk_dialog_add_button ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#7  0x00000035d03c96ca in gtk_file_chooser_dialog_get_type ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#8  0x00000035d03c9845 in gtk_file_chooser_dialog_new ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#9  0x0000000000756ffe in XAP_UnixDialog_FileOpenSaveAs::runModal (
    this=0x124f650, pFrame=0xee2db0) at xap_UnixDlg_FileOpenSaveAs.cpp:584
#10 0x0000000000534174 in s_AskForPathname (pFrame=0xee2db0, bSaveAs=true,
id=Variable "id" is not available.
)
    at ap_EditMethods.cpp:1923
#11 0x00000000005348bd in s_actuallySaveAs (pAV_View=0x11f7950,
    overwriteName=true) at ap_EditMethods.cpp:2427
#12 0x000000000053498f in ap_EditMethods::fileSaveAs (pAV_View=0x11f7950)
    at ap_EditMethods.cpp:2492
---Type <return> to continue, or q <return> to quit---
#13 0x0000000000534a7b in ap_EditMethods::fileSave (pAV_View=0x11f7950,
    pCallData=0x7fffff893fd0) at ap_EditMethods.cpp:2394
#14 0x00000000006336db in EV_EditMethod::Fn (this=Variable "this" is not available.
) at ev_EditMethod.cpp:134
#15 0x0000000000634d85 in EV_Keyboard::invokeKeyboardMethod (this=Variable
"this" is not available.
)
    at ev_Keyboard.cpp:64
#16 0x0000000000637a58 in ev_UnixKeyboard::charDataEvent (this=0xee31a0,
    pView=0x11f7950, state=Variable "state" is not available.
) at ev_UnixKeyboard.cpp:197
#17 0x0000000000637b37 in ev_UnixKeyboard::keyPressEvent (this=0xee31a0,
    pView=0x11f7950, e=Variable "e" is not available.
) at ev_UnixKeyboard.cpp:148
#18 0x000000000060362a in XAP_UnixFrameImpl::_fe::key_press_event (w=0xed6120,
    e=0x11f25f0) at xap_UnixFrameImpl.cpp:800
#19 0x00000035d0423c9d in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#20 0x00000035cf50b21b in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#21 0x00000035cf51af38 in g_signal_override_class_closure ()
   from /usr/lib64/libgobject-2.0.so.0
#22 0x00000035cf51c14d in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#23 0x00000035cf51c563 in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0
#24 0x00000035d04fdd3e in gtk_widget_get_default_style ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#25 0x00000035d041d9e5 in gtk_propagate_event ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib64/libgtk-x11-2.0.so.0
#26 0x00000035d041e971 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#27 0x00000035cfb4665c in gdk_add_client_message_filter ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#28 0x00000035cf32703a in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
#29 0x00000035cf32a1b5 in g_main_context_check ()
   from /usr/lib64/libglib-2.0.so.0
#30 0x00000035cf32a4dd in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#31 0x00000035d041ed03 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#32 0x0000000000519cbe in AP_UnixApp::main (szAppName=Variable "szAppName" is
not available.
) at ap_UnixApp.cpp:1531
#33 0x0000003dba01d084 in __libc_start_main () from /lib64/libc.so.6
#34 0x0000000000515e59 in _start ()
#35 0x00007fffff894b98 in ?? ()
#36 0x0000000000000000 in ?? ()
Comment 1 Toshio Kuratomi 2006-05-03 15:28:29 EDT
Created attachment 128557 [details]
strace of abiword at the time of the crash
Comment 2 Toshio Kuratomi 2006-05-03 16:44:22 EDT
Created attachment 128566 [details]
Output of  valgrind --num-callers=16 /usr/bin/AbiWord-2.4
Comment 3 Marc Maurer 2006-05-07 20:49:47 EDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.